%define module  String-Approx
%define name    perl-%{module}
%define version 3.26
%define release %mkrel 4

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Perl extension for approximate matching (fuzzy matching)
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/String/%{module}-%{version}.tar.bz2
Buildrequires:  perl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
String::Approx lets you match and substitute strings approximately. With this
you can emulate errors: typing errorrs, speling errors, closely related
vocabularies (colour color), genetic mutations (GAG ACT), abbreviations
(McScot, MacScot).

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Artistic BUGS COPYRIGHT COPYRIGHT.agrep ChangeLog LGPL PROBLEMS README README.apse
%{perl_vendorarch}/auto/String
%{perl_vendorarch}/String
%{_mandir}/*/*



%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.26-4mdv2008.1
+ Revision: 152303
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.26-3mdv2008.0
+ Revision: 86921
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.26-2mdv2007.0
- Rebuild

* Tue Apr 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.26-1mdk
- New release 3.26
- better source URL
- correct optimisations
- %%mkrel

* Wed Jun 01 2005 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdk
- New release 3.25
- spec cleanup
- make test in %%check

* Wed Jan 19 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.24-1mdk
- 3.24
- Add tests, fix URL, trim verbose description

* Mon Nov 15 2004 Michael Scherer <misc@mandrake.org> 3.23-4mdk
- Rebuild for new perl

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-3mdk 
- rpmbuildupdate aware

* Wed Feb 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-2mdk
- fixed dir ownership (distlint)

* Mon Dec 15 2003 Guillaume Rousse <guillomovitch@mandrake.org> 3.23-1mdk
- first mdk release

